module JSON::API
  def json_params
    begin
      input = request.body.gets
      @json_params ||= input ? JSON.parse(input) : {}
      request.params.merge(@json_params)
      # request.params = @json_params
    rescue
      halt 400, { message: 'Invalid JSON params' }.to_json
    end
  end

  def accept_json?
    request.accept.any? { |a| a.entry == 'application/json' }
  end
end
