module LifePex
  module Utils
    # usage: base_url('base', 'to', '2', raw: false) => "http://..../base/to/2"
    # @param [Boolean] raw set to false by default for a string output, if true it will be an URI
    def base_url(*paths, raw: false)
      uri = URI.join(LifePex::BASE_URL, *paths)
      return uri if raw
      return uri.to_s
    end
  end
end
